<?php
ini_set('display_errors', 'On');
error_reporting(E_ALL);

require 'simple_html_dom.php';
require 'subject.php';
require 'event.php';
require 'helper.php';
require 'config.php';

// check semester
switch (date("n")) {
    case 1:
        $SEMESTER = "2";
        break;
    case 2:
		$SEMESTER = "2";
        break;
	case 3:
        $SEMESTER = "2";
        break;
	case 4:
        $SEMESTER = "1";
        break;
	case 5:
        $SEMESTER = "1";
        break;
	case 6:
        $SEMESTER = "1";
        break;
	case 7:
        $SEMESTER = "1";
        break;
	case 8:
        $SEMESTER = "1";
        break;
	case 9:
        $SEMESTER = "1";
        break;
	case 10:
        $SEMESTER = "2";
        break;
	case 11:
        $SEMESTER = "2";
        break;
	case 12:
        $SEMESTER = "2";
        break;
}

// choose correct subject_list
if($SEMESTER == 1){
	$SUBJECT_LIST = $SUBJECT_LIST_SS;
	echo "SS\n";
} else {
	$SUBJECT_LIST = $SUBJECT_LIST_WS;
	echo "WS\n";
}

// search subject
$subjects = array ();
foreach ( $SUBJECT_LIST as $SUBJECT ) {
	echo "Searching ".$SUBJECT->getSearchName()."\n";
	$html = file_get_html ( $SEARCH_URL."&veranstaltung.dtxt=".str_replace(' ',"+",$SUBJECT->getSearchName())."&veranstaltung.semester=".date("Y").$SEMESTER);
	if ($html != null) {
		$list = $html->find('a[title="Mehr Informationen zu '.$SUBJECT->getSearchName().'"]');
		if (count($list) != 0) {
			foreach($list as $a){
				if(removeSpace($a->parent()->parent()->children (2)->innertext) == "Vorlesung") {
					echo " - Hit \n";
					$HREF = $a->href;
					$html->clear();
					unset($html);
					$html = file_get_html ( html_entity_decode($HREF) );
					if ($html != null) {
					     array_push ( $subjects, parsSubject ($html,$SUBJECT) );
					} else {
    			     echo "\"".$SUBJECT->getSearchName()."\"-Site nicht aufrufbar\n";
					}
					break;
				}
			}
	   } else {
		  echo " - \"".$SUBJECT->getSearchName()."\"-Search liefert kein passendes Ergebnis\n";
	   }
	} else {
		echo " - \"".$SUBJECT->getSearchName()."\"-Search nicht aufrufbar.\n";
	}
}

toJsonSubjects ( $subjects, $JSON_NAME_SUBJECTS, $JSON_INC_NAME_SUBJECTS, $JSON_INC_SHORT_SUBJECTS);
toJsonEvents ( $subjects, $JSON_NAME_EVENTS, $JSON_INC_NAME_EVENTS, $JSON_INC_SHORT_EVENTS);
?>
